Extending Qt Creator Manual | IFeatureProvider

Extending Qt Creator Manual 4.5.2

# IFeatureProvider Class

(Core::IFeatureProvider)

The IFeatureProvider class defines an interface to manage features for wizards. More...

Header: | #include <IFeatureProvider>

- List of all members, including inherited members

## Public Functions

virtual QSet<Id> | availableFeatures(Id id) const = 0
virtual QSet<Id> | availablePlatforms() const = 0
virtual QString | displayNameForPlatform(Id id) const = 0

## Detailed Description

The IFeatureProvider class defines an interface to manage features for wizards.

The features provided by an object in the object pool implementing IFeatureProvider will be respected by wizards implementing IWizard.

This feature set, provided by all instances of IFeatureProvider in the object pool, is checked against `IWizard::requiredFeatures()` and only if all required features are available, the wizard is displayed when creating a new file or project.

The QtSupport plugin creates an instance of IFeatureProvider and provides Qt specific features for the available versions of Qt.

See also Core::IWizard and QtSupport::QtVersionManager.

## Member Function Documentation

### `[pure virtual]` QSet<Id> IFeatureProvider::availableFeatures(Id id) const

### `[pure virtual]` QSet<Id> IFeatureProvider::availablePlatforms() const

### `[pure virtual]` QString IFeatureProvider::displayNameForPlatform(Id id) const